Bug 1598621 (CVE-2018-8026) - CVE-2018-8026 solr: XML external entity expansion in config files allows for arbitrary file read
Summary: CVE-2018-8026 solr: XML external entity expansion in config files allows for ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-8026
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1598622
Blocks: 1598623
TreeView+ depends on / blocked
 
Reported: 2018-07-06 02:37 UTC by Sam Fowler
Modified: 2019-09-29 14:43 UTC (History)
51 users (show)

Fixed In Version: solr 6.6.5, solr 7.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-10 06:30:13 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-07-06 02:37:48 UTC
Apache Solr versions before 6.6.4 and 7.3.1 are vulnerable to XML external entity expansion (XXE) in Solr config files. A remote attacker could exploit this by uploading configsets using Solr's API allowing for arbitrary read of files on the Solr server or internal network.


External Reference:

https://mail-archives.apache.org/mod_mbox/lucene-solr-user/201807.mbox/%3C0cdc01d413b7%24f97ba580%24ec72f080%24%40apache.org%3E


Upstream Bug:

https://issues.apache.org/jira/browse/SOLR-12450


Upstream Patch:

https://issues.apache.org/jira/secure/attachment/12928111/SOLR-12450.patch

Comment 1 Sam Fowler 2018-07-06 02:38:48 UTC
Created solr3 tracking bugs for this issue:

Affects: fedora-all [bug 1598622]


Note You need to log in before you can comment on or make changes to this bug.